com.smartgwt.client.types

## Enum FormLayoutType

- java.lang.Object
- - java.lang.Enum<FormLayoutType>
  - - com.smartgwt.client.types.FormLayoutType

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<FormLayoutType>

      public enum FormLayoutType
      extends java.lang.Enum<FormLayoutType>
      implements ValueEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABSOLUTE` Allow absolute positioning of every form item.
    `TABLE` Use a tabular layout similar to HTML tables, but with much more powerful control over sizing, item visibility and reflow, overflow handling, etc.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static FormLayoutType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FormLayoutType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TABLE

          public static final FormLayoutType TABLE

      Use a tabular layout similar to HTML tables, but with much more powerful control over sizing, item visibility and reflow, overflow handling, etc.

    - #### ABSOLUTE

          public static final FormLayoutType ABSOLUTE

      Allow absolute positioning of every form item. This provides maximum flexibility in placement, with the following limitations:

      .

      - titles, which normally take up an adjacent cell, are not shown. Use StaticTextItems to show titles
      - no automatic reflow when showing or hiding items. FormItem.setLeft() and FormItem.setTop() can be used for manual reflow.
      - only pixel and percent sizes are allowed, no "*". Percent widths mean percentage of the overall form size rather than the column size
      - with different font styling or internationalized titles, items may overlap that did not overlap in the skin used at design time

  - ### Method Detail

    - #### values

          public static FormLayoutType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FormLayoutType c : FormLayoutType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FormLayoutType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`